namespace MaszynaTuring
{
    using Turing;

    internal class Program
    {
        static void Main(string[] args)
        {
            try
            {
                Czwórka c1 = new Czwórka('a', 'C', 'E', 'b');
                Console.WriteLine("Czwórka: " + c1);

                Czwórka c2 = new Czwórka("aCEb");
                Console.WriteLine("Czwórka: " + c2);

                Czwórka c3 = new Czwórka("ACEb");
            }
            catch(Exception exc) 
            {
                Console.Error.WriteLine("Błąd: " + exc.Message);
            }

            //TODO: porównywanie referencji i stanów 
        }
    }
}
